com.fasterxml.jackson.databind.deser.std

## Class DateDeserializers.TimeZoneDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<TimeZone>
        - - com.fasterxml.jackson.databind.deser.std.DateDeserializers.TimeZoneDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  DateDeserializers

    protected static class DateDeserializers.TimeZoneDeserializer
    extends FromStringDeserializer<TimeZone>

As per [JACKSON-522], also need special handling for TimeZones

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`static DateDeserializers.TimeZoneDeserializer` `instance`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`DateDeserializers.TimeZoneDeserializer()`

### Method Summary

Methods
`protected TimeZone` `_deserialize(String value, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, _deserializeFromEmptyString, deserialize`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final DateDeserializers.TimeZoneDeserializer instance

### Constructor Detail

#### DateDeserializers.TimeZoneDeserializer

    public DateDeserializers.TimeZoneDeserializer()

### Method Detail

#### _deserialize

    protected TimeZone _deserialize(String value,
                        DeserializationContext ctxt)
                             throws IOException

Specified by:
  `_deserialize` in class `FromStringDeserializer<TimeZone>`
Throws:
  `IOException`